<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->

# API Reference — Detecting Protocol Downgrade Attacks

## testssl.sh

### Synopsis

```bash
./testssl.sh [--vulnerable] [--poodle] [--drown] [--logjam] <host:port>
```

## TLS_FALLBACK_SCSV (RFC 7507)

```bash
openssl s_client -connect <host>:<port> -fallback_scsv -tls1_1
```

| Result | Meaning |
|---|---|
| `inappropriate_fallback` alert | SCSV supported (good) |
| Connection succeeds | SCSV not enforced (bad) |

## Agent Script

```bash
node agent.js protocols example.com
node agent.js fallback example.com
node agent.js ciphers example.com
node agent.js dh-params example.com
```
